Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationRigidMesh Class Reference

変換剛体メッシュ More...

`#include <TranslationRigidMesh.h>`

Inheritance diagram for LampForMaya::TranslationRigidMesh:

List of all members.

## Public Member Functions
virtual | ~TranslationRigidMesh ()
| デストラクタ
virtual bool | isRigidMesh () const
| 静的剛体メッシュかどうか
virtual void | compilePivot (const Vector3 &pivot)
| ピボットのコンパイル
virtual bool | logicalCheck ()
| 論理チェック
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
## Protected Member Functions
| TranslationRigidMesh (const String &initializeName)
| コンストラクタ
## Friends
class | TranslationMeshManager

## Detailed Description

変換剛体メッシュ

Definition at line 37 of file TranslationRigidMesh.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationRigidMesh::TranslationRigidMesh | ( | const String & | initializeName | ) | `[protected]`

  | コンストラクタ Parameters:
  initializeName | 初期化する名前
Definition at line 36 of file TranslationRigidMesh.cpp.

## Member Function Documentation

void LampForMaya::TranslationRigidMesh::compilePivot | ( | const Vector3 & | pivot | ) | `[virtual]`

  | ピボットのコンパイル Parameters:
  pivot | ピボット位置
Reimplemented from LampForMaya::TranslationMesh. Definition at line 51 of file TranslationRigidMesh.cpp. References LampForMaya::TranslationMesh::positions_.

bool LampForMaya::TranslationRigidMesh::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationMesh. Definition at line 61 of file TranslationRigidMesh.cpp. References LampForMaya::TranslationMesh::colors_, LampForMaya::TranslationMesh::materialName_, MayaErrorOut, LampForMaya::TranslationMesh::name_, LampForMaya::TranslationMesh::normals_, LampForMaya::TranslationMesh::positions_, LampForMaya::TranslationMesh::uvs_, and LampForMaya::TranslationMesh::uvSetCount_.

virtual bool LampForMaya::TranslationRigidMesh::isRigidMesh | ( |  | ) | const`[inline, virtual]`

| 静的剛体メッシュかどうか Returns: 静的剛体メッシュならtrue Reimplemented from LampForMaya::TranslationMesh. Definition at line 49 of file TranslationRigidMesh.h.

bool LampForMaya::TranslationRigidMesh::logicalCheck | ( |  | ) | `[virtual]`

| 論理チェック Returns: 成功すればtrue Implements LampForMaya::TranslationMesh. Definition at line 45 of file TranslationRigidMesh.cpp. References LampForMaya::TranslationMesh::vertexLogicalCheck(). Referenced by LampForMaya::TranslationStandardModel::analyze().

The documentation for this class was generated from the following files:

- TranslationRigidMesh.h
- TranslationRigidMesh.cpp